NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Drawings::ViewCreationWizardBuilder Class Reference

This builder allows the user to create a Drawing View
To create a new instance of this class, use NXOpen::Drawings::DraftingViewCollection::CreateViewCreationWizardBuilder
Default values. More...

Inheritance diagram for NXOpen::Drawings::ViewCreationWizardBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Option { OptionAutomatic, OptionManual }
 The placement option type. More...
 
enum  ResolutionOption { ResolutionOptionCoarse, ResolutionOptionMedium, ResolutionOptionFine }
 the view resolution option type More...
 
enum  ViewBoundaryOption { ViewBoundaryOptionAutomatic, ViewBoundaryOptionManual }
 The view boundary option type. More...
 
enum  ViewRepresentations { ViewRepresentationsExact, ViewRepresentationsSmartLightweight, ViewRepresentationsLightweight, ViewRepresentationsPreNx85Exact }
 the view representation mode More...
 

Public Member Functions

bool AssociativeAlignment ()
 Returns the associative alignment toggle
Created in NX8.5.0. More...
 
bool AutoScale ()
 Returns the auto scale
Created in NX8.0.0. More...
 
bool BackView ()
 Returns the back view
Created in NX8.0.0. More...
 
NXString BaseView ()
 Returns the base view
Created in NX8.0.0. More...
 
bool BottomView ()
 Returns the bottom view
Created in NX8.0.0. More...
 
bool CenterLines ()
 Returns the center lines
Created in NX8.0.0. More...
 
bool CrosshatchInheritedSectionViews ()
 Returns the crosshatch inherited section views
Created in NX8.0.0. More...
 
NXOpen::Drawings::CustomViewSettingsBuilderCustomViewSettingsBuilder ()
 Returns the NXOpen::Drawings::CustomViewSettingsBuilder object
Created in NX8.5.0. More...
 
bool ExtractedEdges ()
 Returns the extracted edges option
Created in NX8.5.0. More...
 
bool FrontView ()
 Returns the front view
Created in NX8.0.0. More...
 
int HiddenLineColor ()
 Returns the hidden line color
Created in NX8.0.0. More...
 
int HiddenLineFont ()
 Returns the hidden line font
Created in NX8.0.0. More...
 
bool HiddenLines ()
 Returns the hidden lines
Created in NX8.0.0. More...
 
int HiddenLineWidth ()
 Returns the hidden line width
Created in NX8.0.0. More...
 
bool IgnoreTitleBlock ()
 Returns the ignore title block
Created in NX8.5.0. More...
 
int InheritPMI ()
 Returns the inherit pmi
Created in NX8.0.0. More...
 
bool InheritPmiOntoDrawing ()
 Returns the inherit pmi onto drawing
Created in NX8.0.0. More...
 
bool IsometricView ()
 Returns the isometric view
Created in NX8.0.0. More...
 
bool LeftView ()
 Returns the left view
Created in NX8.0.0. More...
 
NXOpen::Preferences::GeneralViewLockmethodOption LockMethod ()
 Returns the lock method option
Created in NX11.0.1. More...
 
double MarginBetweenViews ()
 Returns the margin between views
Created in NX8.0.0. More...
 
double MarginToBorder ()
 Returns the margin to border
Created in NX8.0.0. More...
 
NXOpen::Drawings::MultipleViewPlacementBuilderMultipleViewPlacement ()
 Returns the multiple view placement
Created in NX8.0.0. More...
 
bool OptimizeSettings ()
 Returns the optimize view settings
Created in NX8.5.0. More...
 
NXOpen::Drawings::OvtBuilderOrientViewTool ()
 Returns the orient view tool
Created in NX8.0.0. More...
 
NXOpen::PartPart ()
 Returns the part
Created in NX8.0.0. More...
 
NXOpen::Drawings::ViewCreationWizardBuilder::Option PlacementOption ()
 Returns the placement option
Created in NX8.0.0. More...
 
bool PmiDimensionFromRevolved ()
 Returns the inherit pmi from revolved sketches
Created in NX9.0.0. More...
 
int PmiTypes ()
 Returns the pmi types
Created in NX8.0.0. More...
 
NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption Resolution ()
 Returns the display quality option
Created in NX8.5.0. More...
 
bool RightView ()
 Returns the right view
Created in NX8.0.0. More...
 
void SetAssociativeAlignment (bool associative)
 Sets the associative alignment toggle
Created in NX8.5.0. More...
 
void SetAutoScale (bool autoScale)
 Sets the auto scale
Created in NX8.0.0. More...
 
void SetBackView (bool backView)
 Sets the back view
Created in NX8.0.0. More...
 
void SetBaseView (const NXString &baseView)
 Sets the base view
Created in NX8.0.0. More...
 
void SetBaseView (const char *baseView)
 Sets the base view
Created in NX8.0.0. More...
 
void SetBottomView (bool bottomView)
 Sets the bottom view
Created in NX8.0.0. More...
 
void SetCenterLines (bool centerLines)
 Sets the center lines
Created in NX8.0.0. More...
 
void SetCrosshatchInheritedSectionViews (bool crosshatchInheritedSectionViews)
 Sets the crosshatch inherited section views
Created in NX8.0.0. More...
 
void SetExtractedEdges (bool extractedEdges)
 Sets the extracted edges option
Created in NX8.5.0. More...
 
void SetFrontView (bool frontView)
 Sets the front view
Created in NX8.0.0. More...
 
void SetHiddenLineColor (int hiddenLineColor)
 Sets the hidden line color
Created in NX8.0.0. More...
 
void SetHiddenLineFont (int hiddenLineFont)
 Sets the hidden line font
Created in NX8.0.0. More...
 
void SetHiddenLines (bool hiddenLines)
 Sets the hidden lines
Created in NX8.0.0. More...
 
void SetHiddenLineWidth (int hiddenLineWidth)
 Sets the hidden line width
Created in NX8.0.0. More...
 
void SetIgnoreTitleBlock (bool ignoreTitleBlock)
 Sets the ignore title block
Created in NX8.5.0. More...
 
void SetInheritPMI (int inheritPMI)
 Sets the inherit pmi
Created in NX8.0.0. More...
 
void SetInheritPmiOntoDrawing (bool inheritPmiOntoDrawing)
 Sets the inherit pmi onto drawing
Created in NX8.0.0. More...
 
void SetIsometricView (bool isometricView)
 Sets the isometric view
Created in NX8.0.0. More...
 
void SetLeftView (bool leftView)
 Sets the left view
Created in NX8.0.0. More...
 
void SetLockMethod (NXOpen::Preferences::GeneralViewLockmethodOption lockMethod)
 Sets the lock method option
Created in NX11.0.1. More...
 
void SetMarginBetweenViews (double marginBetweenViews)
 Sets the margin between views
Created in NX8.0.0. More...
 
void SetMarginToBorder (double marginToBorder)
 Sets the margin to border
Created in NX8.0.0. More...
 
void SetOptimizeSettings (bool optimizeSettings)
 Sets the optimize view settings
Created in NX8.5.0. More...
 
void SetPart (NXOpen::Part *part)
 Sets the part
Created in NX8.0.0. More...
 
void SetPlacementOption (NXOpen::Drawings::ViewCreationWizardBuilder::Option placementOption)
 Sets the placement option
Created in NX8.0.0. More...
 
void SetPmiDimensionFromRevolved (bool pmiDimensionFromRevolved)
 Sets the inherit pmi from revolved sketches
Created in NX9.0.0. More...
 
void SetPmiTypes (int pmiTypes)
 Sets the pmi types
Created in NX8.0.0. More...
 
void SetResolution (NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption resolution)
 Sets the display quality option
Created in NX8.5.0. More...
 
void SetRightView (bool rightView)
 Sets the right view
Created in NX8.0.0. More...
 
void SetSilhouettes (bool silhouettes)
 Sets the silhouettes
Created in NX8.0.0. More...
 
void SetSnapShot (bool snapShot)
 Sets the snapshot option
More...
 
void SetSpecialBaseView (bool specialBaseView)
 Sets the special base view
Created in NX8.0.0. More...
 
void SetTolerance (double tolerance)
 Sets the tolerance option
Created in NX8.5.0. More...
 
void SetTopView (bool topView)
 Sets the top view
Created in NX8.0.0. More...
 
void SetTrimetricView (bool trimetricView)
 Sets the trimetric view
Created in NX8.0.0. More...
 
void SetViewBoundary (NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption viewBoundaryOption)
 Sets the view boundary option
Created in NX8.0.0. More...
 
void SetViewLabels (bool dispViewLabels)
 Sets the view labels
Created in NX8.0.0. More...
 
void SetViewRepresentation (NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations viewRepresentation)
 Sets the view representation state
Created in NX8.5.0. More...
 
bool Silhouettes ()
 Returns the silhouettes
Created in NX8.0.0. More...
 
bool SnapShot ()
 Returns the snapshot option
More...
 
bool SpecialBaseView ()
 Returns the special base view
Created in NX8.0.0. More...
 
double Tolerance ()
 Returns the tolerance option
Created in NX8.5.0. More...
 
bool TopView ()
 Returns the top view
Created in NX8.0.0. More...
 
bool TrimetricView ()
 Returns the trimetric view
Created in NX8.0.0. More...
 
NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption ViewBoundary ()
 Returns the view boundary option
Created in NX8.0.0. More...
 
bool ViewLabels ()
 Returns the view labels
Created in NX8.0.0. More...
 
NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations ViewRepresentation ()
 Returns the view representation state
Created in NX8.5.0. More...
 
NXOpen::Drawings::ViewScaleBuilderViewScale ()
 Returns the view scale
Created in NX8.0.0. More...
 
NXOpen::Drawings::ViewStyleBuilderViewStyle ()
 Returns the view style
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This builder allows the user to create a Drawing View
To create a new instance of this class, use NXOpen::Drawings::DraftingViewCollection::CreateViewCreationWizardBuilder
Default values.

Property Value

AutoScale

1

BackView

0

BaseView

FRONT

BottomView

0

CustomViewSettingsBuilder.DelayUpdateOnCreation

0

CustomViewSettingsBuilder.DelayViewUpdate

1

CustomViewSettingsBuilder.HiddenLinesFont

Invisible

CustomViewSettingsBuilder.InterferingSolids

None

CustomViewSettingsBuilder.RenderTrueHiddenLine

0

CustomViewSettingsBuilder.ShowAdjacentBlends

0

CustomViewSettingsBuilder.ShowCenterLines

0

CustomViewSettingsBuilder.ShowCheckBoundaryStatus

0

CustomViewSettingsBuilder.ShowEdgesHiddenByEdges

1

CustomViewSettingsBuilder.ShowHiddenLines

1

CustomViewSettingsBuilder.ShowSelfHiddenLines

1

CustomViewSettingsBuilder.ShowSmoothEdgeEndGapsLock

0

CustomViewSettingsBuilder.ShowSmoothEdges

1

CustomViewSettingsBuilder.ShowTraceLines

0

CustomViewSettingsBuilder.ShowUVGrids

0

CustomViewSettingsBuilder.ShowVIEndGapsLock

0

CustomViewSettingsBuilder.ShowVirtualIntersections

0

CustomViewSettingsBuilder.SmallFeatures

Hide

CustomViewSettingsBuilder.ThreadStandard

None

CustomViewSettingsBuilder.TraceLineCreateGapsLock

0

ExtractedEdges

1

FrontView

1

IgnoreTitleBlock

0

IsometricView

0

LeftView

0

LockMethod

None

MarginBetweenViews

5 (millimeters part), 0.25 (inches part)

MarginToBorder

20 (millimeters part), 0.75 (inches part)

MultipleViewPlacement.OptionType

Center

MultipleViewPlacement.ViewPlacementCenter.AlignmentMethod

Infer

MultipleViewPlacement.ViewPlacementCenter.AlignmentOption

ToView

OptimizeSettings

1

OrientViewTool.AssociativeOrientation

0

PlacementOption

Automatic

RightView

0

SnapShot (deprecated)

0

TopView

0

TrimetricView

0

ViewBoundary

Automatic

ViewRepresentation

SmartLightweight

ViewScale.Denominator

1.0

ViewScale.Numerator

1.0

ViewScale.ScaleType

Ratio

ViewStyle.ViewStyleGeneral.AngleSetting.Angle.Value

0

ViewStyle.ViewStyleGeneral.AngleSetting.Associative

0

ViewStyle.ViewStyleGeneral.AngleSetting.EvaluationPlane

DrawingSheet

ViewStyle.ViewStyleOrientation.HingeLine.ReverseDirection

false

ViewStyle.ViewStyleOrientation.HingeLine.VectorOption

Inferred


Created in NX8.0.0.

Member Enumeration Documentation

The placement option type.

Enumerator
OptionAutomatic 

By Automatic.

OptionManual 

By Manual.

the view resolution option type

Enumerator
ResolutionOptionCoarse 

view display quality Coarse

ResolutionOptionMedium 

view display quality Medium

ResolutionOptionFine 

view display quality Fine

The view boundary option type.

Enumerator
ViewBoundaryOptionAutomatic 

view boundary Automatic

ViewBoundaryOptionManual 

view boundary Manual

the view representation mode

Enumerator
ViewRepresentationsExact 

View representation mode Exact.

ViewRepresentationsSmartLightweight 

View representation mode Lightweight.

ViewRepresentationsLightweight 

View representation mode legacy Lightweight.

ViewRepresentationsPreNx85Exact 

View representation mode legacy Exact.

Member Function Documentation

bool NXOpen::Drawings::ViewCreationWizardBuilder::AssociativeAlignment ( )

Returns the associative alignment toggle
Created in NX8.5.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::AutoScale ( )

Returns the auto scale
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::BackView ( )

Returns the back view
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Drawings::ViewCreationWizardBuilder::BaseView ( )

Returns the base view
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::BottomView ( )

Returns the bottom view
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::CenterLines ( )

Returns the center lines
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::CrosshatchInheritedSectionViews ( )

Returns the crosshatch inherited section views
Created in NX8.0.0.



License requirements : None

NXOpen::Drawings::CustomViewSettingsBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::CustomViewSettingsBuilder ( )

Returns the NXOpen::Drawings::CustomViewSettingsBuilder object
Created in NX8.5.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::ExtractedEdges ( )

Returns the extracted edges option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::FrontView ( )

Returns the front view
Created in NX8.0.0.



License requirements : None

int NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLineColor ( )

Returns the hidden line color
Created in NX8.0.0.



License requirements : None

int NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLineFont ( )

Returns the hidden line font
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLines ( )

Returns the hidden lines
Created in NX8.0.0.



License requirements : None

int NXOpen::Drawings::ViewCreationWizardBuilder::HiddenLineWidth ( )

Returns the hidden line width
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::IgnoreTitleBlock ( )

Returns the ignore title block
Created in NX8.5.0.



License requirements : None

int NXOpen::Drawings::ViewCreationWizardBuilder::InheritPMI ( )

Returns the inherit pmi
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::InheritPmiOntoDrawing ( )

Returns the inherit pmi onto drawing
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::IsometricView ( )

Returns the isometric view
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::LeftView ( )

Returns the left view
Created in NX8.0.0.



License requirements : None

NXOpen::Preferences::GeneralViewLockmethodOption NXOpen::Drawings::ViewCreationWizardBuilder::LockMethod ( )

Returns the lock method option
Created in NX11.0.1.



License requirements : None

double NXOpen::Drawings::ViewCreationWizardBuilder::MarginBetweenViews ( )

Returns the margin between views
Created in NX8.0.0.



License requirements : None

double NXOpen::Drawings::ViewCreationWizardBuilder::MarginToBorder ( )

Returns the margin to border
Created in NX8.0.0.



License requirements : None

NXOpen::Drawings::MultipleViewPlacementBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::MultipleViewPlacement ( )

Returns the multiple view placement
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::OptimizeSettings ( )

Returns the optimize view settings
Created in NX8.5.0.



License requirements : None

NXOpen::Drawings::OvtBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::OrientViewTool ( )

Returns the orient view tool
Created in NX8.0.0.



License requirements : None

NXOpen::Part* NXOpen::Drawings::ViewCreationWizardBuilder::Part ( )

Returns the part
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

NXOpen::Drawings::ViewCreationWizardBuilder::Option NXOpen::Drawings::ViewCreationWizardBuilder::PlacementOption ( )

Returns the placement option
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::PmiDimensionFromRevolved ( )

Returns the inherit pmi from revolved sketches
Created in NX9.0.0.



License requirements : None

int NXOpen::Drawings::ViewCreationWizardBuilder::PmiTypes ( )

Returns the pmi types
Created in NX8.0.0.



License requirements : None

NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption NXOpen::Drawings::ViewCreationWizardBuilder::Resolution ( )

Returns the display quality option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::RightView ( )

Returns the right view
Created in NX8.0.0.



License requirements : None

void NXOpen::Drawings::ViewCreationWizardBuilder::SetAssociativeAlignment ( bool  associative)

Sets the associative alignment toggle
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
associativeassociative
void NXOpen::Drawings::ViewCreationWizardBuilder::SetAutoScale ( bool  autoScale)

Sets the auto scale
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
autoScaleautoscale
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBackView ( bool  backView)

Sets the back view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
backViewbackview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBaseView ( const NXString baseView)

Sets the base view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
baseViewbaseview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBaseView ( const char *  baseView)

Sets the base view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
baseViewbaseview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetBottomView ( bool  bottomView)

Sets the bottom view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
bottomViewbottomview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetCenterLines ( bool  centerLines)

Sets the center lines
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
centerLinescenterlines
void NXOpen::Drawings::ViewCreationWizardBuilder::SetCrosshatchInheritedSectionViews ( bool  crosshatchInheritedSectionViews)

Sets the crosshatch inherited section views
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
crosshatchInheritedSectionViewscrosshatchinheritedsectionviews
void NXOpen::Drawings::ViewCreationWizardBuilder::SetExtractedEdges ( bool  extractedEdges)

Sets the extracted edges option
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
extractedEdgesextractededges
void NXOpen::Drawings::ViewCreationWizardBuilder::SetFrontView ( bool  frontView)

Sets the front view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
frontViewfrontview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLineColor ( int  hiddenLineColor)

Sets the hidden line color
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
hiddenLineColorhiddenlinecolor
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLineFont ( int  hiddenLineFont)

Sets the hidden line font
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
hiddenLineFonthiddenlinefont
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLines ( bool  hiddenLines)

Sets the hidden lines
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
hiddenLineshiddenlines
void NXOpen::Drawings::ViewCreationWizardBuilder::SetHiddenLineWidth ( int  hiddenLineWidth)

Sets the hidden line width
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
hiddenLineWidthhiddenlinewidth
void NXOpen::Drawings::ViewCreationWizardBuilder::SetIgnoreTitleBlock ( bool  ignoreTitleBlock)

Sets the ignore title block
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
ignoreTitleBlockignoretitleblock
void NXOpen::Drawings::ViewCreationWizardBuilder::SetInheritPMI ( int  inheritPMI)

Sets the inherit pmi
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
inheritPMIinheritpmi
void NXOpen::Drawings::ViewCreationWizardBuilder::SetInheritPmiOntoDrawing ( bool  inheritPmiOntoDrawing)

Sets the inherit pmi onto drawing
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
inheritPmiOntoDrawinginheritpmiontodrawing
void NXOpen::Drawings::ViewCreationWizardBuilder::SetIsometricView ( bool  isometricView)

Sets the isometric view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
isometricViewisometricview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetLeftView ( bool  leftView)

Sets the left view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
leftViewleftview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetLockMethod ( NXOpen::Preferences::GeneralViewLockmethodOption  lockMethod)

Sets the lock method option
Created in NX11.0.1.



License requirements : drafting ("DRAFTING")

Parameters
lockMethodlockmethod
void NXOpen::Drawings::ViewCreationWizardBuilder::SetMarginBetweenViews ( double  marginBetweenViews)

Sets the margin between views
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
marginBetweenViewsmarginbetweenviews
void NXOpen::Drawings::ViewCreationWizardBuilder::SetMarginToBorder ( double  marginToBorder)

Sets the margin to border
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
marginToBordermargintoborder
void NXOpen::Drawings::ViewCreationWizardBuilder::SetOptimizeSettings ( bool  optimizeSettings)

Sets the optimize view settings
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
optimizeSettingsoptimizesettings
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPart ( NXOpen::Part part)

Sets the part
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
partpart
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPlacementOption ( NXOpen::Drawings::ViewCreationWizardBuilder::Option  placementOption)

Sets the placement option
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
placementOptionplacementoption
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPmiDimensionFromRevolved ( bool  pmiDimensionFromRevolved)

Sets the inherit pmi from revolved sketches
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
pmiDimensionFromRevolvedpmidimensionfromrevolved
void NXOpen::Drawings::ViewCreationWizardBuilder::SetPmiTypes ( int  pmiTypes)

Sets the pmi types
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
pmiTypespmitypes
void NXOpen::Drawings::ViewCreationWizardBuilder::SetResolution ( NXOpen::Drawings::ViewCreationWizardBuilder::ResolutionOption  resolution)

Sets the display quality option
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
resolutionresolution
void NXOpen::Drawings::ViewCreationWizardBuilder::SetRightView ( bool  rightView)

Sets the right view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
rightViewrightview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetSilhouettes ( bool  silhouettes)

Sets the silhouettes
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
silhouettessilhouettes
void NXOpen::Drawings::ViewCreationWizardBuilder::SetSnapShot ( bool  snapShot)

Sets the snapshot option

Deprecated:
Deprecated in NX11.0.1.

Use NXOpen::Drawings::ViewCreationWizardBuilder::SetLockMethod instead.


Created in NX8.5.0.

License requirements : drafting ("DRAFTING")

Parameters
snapShotsnapshot
void NXOpen::Drawings::ViewCreationWizardBuilder::SetSpecialBaseView ( bool  specialBaseView)

Sets the special base view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
specialBaseViewspecialbaseview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetTolerance ( double  tolerance)

Sets the tolerance option
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
tolerancetolerance
void NXOpen::Drawings::ViewCreationWizardBuilder::SetTopView ( bool  topView)

Sets the top view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
topViewtopview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetTrimetricView ( bool  trimetricView)

Sets the trimetric view
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
trimetricViewtrimetricview
void NXOpen::Drawings::ViewCreationWizardBuilder::SetViewBoundary ( NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption  viewBoundaryOption)

Sets the view boundary option
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
viewBoundaryOptionviewboundaryoption
void NXOpen::Drawings::ViewCreationWizardBuilder::SetViewLabels ( bool  dispViewLabels)

Sets the view labels
Created in NX8.0.0.



License requirements : drafting ("DRAFTING")

Parameters
dispViewLabelsdispviewlabels
void NXOpen::Drawings::ViewCreationWizardBuilder::SetViewRepresentation ( NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations  viewRepresentation)

Sets the view representation state
Created in NX8.5.0.



License requirements : drafting ("DRAFTING")

Parameters
viewRepresentationviewrepresentation
bool NXOpen::Drawings::ViewCreationWizardBuilder::Silhouettes ( )

Returns the silhouettes
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::SnapShot ( )

Returns the snapshot option

Deprecated:
Deprecated in NX11.0.1.

Use NXOpen::Drawings::ViewCreationWizardBuilder::LockMethod instead.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::SpecialBaseView ( )

Returns the special base view
Created in NX8.0.0.



License requirements : None

double NXOpen::Drawings::ViewCreationWizardBuilder::Tolerance ( )

Returns the tolerance option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::TopView ( )

Returns the top view
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::TrimetricView ( )

Returns the trimetric view
Created in NX8.0.0.



License requirements : None

NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundaryOption NXOpen::Drawings::ViewCreationWizardBuilder::ViewBoundary ( )

Returns the view boundary option
Created in NX8.0.0.



License requirements : None

bool NXOpen::Drawings::ViewCreationWizardBuilder::ViewLabels ( )

Returns the view labels
Created in NX8.0.0.



License requirements : None

NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentations NXOpen::Drawings::ViewCreationWizardBuilder::ViewRepresentation ( )

Returns the view representation state
Created in NX8.5.0.



License requirements : None

NXOpen::Drawings::ViewScaleBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::ViewScale ( )

Returns the view scale
Created in NX8.0.0.



License requirements : None

NXOpen::Drawings::ViewStyleBuilder* NXOpen::Drawings::ViewCreationWizardBuilder::ViewStyle ( )

Returns the view style
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.